package com.thinkgem.jeesite.modules.pay.dao;

import com.thinkgem.jeesite.common.persistence.annotation.MyBatisDao;
import com.thinkgem.jeesite.modules.pay.entity.BenefitEntity;
import com.thinkgem.jeesite.modules.pay.entity.OrderEntity;
import com.thinkgem.jeesite.modules.pay.entity.UserRateEntity;

import java.util.List;

@MyBatisDao
public interface PayApiDao {

    void saveOrderInfo(OrderEntity orderEntity);

    List<UserRateEntity> getCDEUsers(String[] pathIds);

    List<UserRateEntity> getSABUsers(String[] pathIds);

    void saveBenefitInfo(BenefitEntity benefitEntity);

    void updateOrderStatus(OrderEntity orderEntity);

    OrderEntity getOrder(OrderEntity orderEntity);
}
